.article-card {
  position: relative;
  overflow: hidden;
  display: inline-block;
  margin: .25rem;
  color: inherit;
  text-decoration: none;
  width: 240px;
  height: 300px;
  border-radius: .5rem;
  opacity: .9;
}

.article-card:hover {
  opacity: 1;
}

.image-wrapper {
  position: relative;
  overflow: hidden;
  height: 100%;
}

.article-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
  filter: brightness(40%);
}

.image-wrapper:hover .article-image {
  transform: scale(1.1);
  filter: brightness(70%);
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;
  text-align: center;
  padding: 1rem;
}

.article-title {
  font-size: 1.15rem;
  padding: 4rem 1rem;
}

.date {
  position: absolute;
  top: 0;
  background-color: #FFFFFF;
  color: rgb(var(--main-color));
  padding: 0 .5rem .25rem;
  text-transform: uppercase;
  font-size: .7rem;
  border-bottom-left-radius: .25rem;
  border-bottom-right-radius: .25rem;
}

.read-more-btn {
  position: absolute;
  bottom: .25rem;
  background: none;
  color: white;
  text-transform: uppercase;
  transition: background-color 0.2s ease;
  font-size: .9rem;
  margin: .5rem;
}

.image-wrapper:hover .read-more-btn {
  opacity: 1;
  background-color: rgba(0, 0, 0, .3);
}

.pagination-container {
  margin-top: 20px;
}

.pagination {
  padding-left: 0;
  align-items: center;
  list-style: none;
}

.page-item {
  display: inline-block;
  margin: 0 5px;
}

.page-link {
  color: black;
  text-decoration: none;
  transition: color 0.3s ease;
  border-radius: .25rem;
  background-color: rgba(0, 0, 0, .05);
  border: none;
  display: flex;
  align-items: center;
}

.page-link:hover {
  color: rgb(var(--main-color));
}

.page-item.active .page-link {
  font-weight: bold;
  color: #FFFFFF;
  background-color: rgb(var(--main-color));
}

.page-item:first-child .page-action,
.page-item:last-child .page-action {
  background: none;
}

.page-link:focus {
  outline: none;
  box-shadow: none;
}
